%define _libexecdir %{_exec_prefix}/lib
%define subrel  6
Name:           os-prober
Version:        1.65
Release:        %mkrel 9
Summary:        Probes disks on the system for installed operating systems
License:        GPLv1 and GPLv2+
Group:          System/Boot and Init
Url:            http://kitenet.net/~joey/code/os-prober/
#               http://ftp.de.debian.org/debian/pool/main/o/os-prober/os-prober_1.61.tar.gz
Source0:        http://ftp.de.debian.org/debian/pool/main/o/%{name}/%{name}_%{version}.tar.xz
Source1:        COPYING-note.txt
Source2:        91bsd
Source3:        60ufs-test
Requires:       btrfs-progs
# move newns binary outside of os-prober subdirectory, so that debuginfo
# can be automatically generated for it
Patch0:         os-prober-newnsdirfix.patch
# Fix spelling of SUSE aj@suse.de
Patch1:         os-prober-SUSE.patch
# Sent upstream by Fedora
Patch2:         os-prober-mdraidfix.patch
Patch3:         os-prober-yaboot-parsefix.patch
Patch4:         os-prober-usrmovefix.patch
Patch5:         os-prober-remove-basename.patch
Patch6:         os-prober-disable-debug-test.patch
Patch7:         os-prober-btrfsfix.patch
Patch8:         os-prober-factor-out-logger.patch
Patch9:         os-prober-bootpart-name-fix.patch
Patch10:        os-prober-mounted-partitions-fix.patch
# Add Mageia to 90linux-distro
Patch11:        os-prober-1.57-mga-add_mageia-release_to_90linux-distro.patch
Patch12:        os-prober-1.65-mga-btrfs-50mounted_90linux-distro.patch
# To be sent upstream by Fedora
Patch13:        os-prober-factored-logger-efi-fix.patch
Patch14:        os-prober-umount-fix.patch
Patch15:        os-prober-grub2-parsefix.patch
Patch16:        os-prober-grepfix.patch
# Give blkid full path Mga#16803
Patch17:        os-prober-1.65-mga-give_blkid_full_path.patch

%description
This package detects other OSes available on a system and outputs the results
in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily.

%prep
%setup -q -n %{name}
cp %SOURCE1 .

%apply_patches

for i in os-probes/common/50mounted-tests linux-boot-probes/common/50mounted-tests common.sh; do
sed -i 's/grub-/grub2-/g' $i
done

%build

%make

%install
install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 -d %{buildroot}%{_localstatedir}/lib/%{name}

install -m 0755 -p os-prober linux-boot-prober %{buildroot}%{_bindir}
install -m 0755 -Dp newns %{buildroot}%{_libexecdir}/newns
install -m 0644 -Dp common.sh %{buildroot}%{_datadir}/%{name}/common.sh
mkdir -p os-probes/common/ufs
cp -a %{SOURCE2} os-probes/common/ufs/91bsd
cp -a %{SOURCE3} os-probes/common/60ufs-test

%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
              linux-boot-probes linux-boot-probes/mounted; do
        install -m 755 -d %{buildroot}%{_libexecdir}/$probes
        cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
        if [ -e "$probes/$ARCH" ]; then
                cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes
        fi
done

ln -sf %{_libexecdir}/os-probes/ufs/91bsd %{buildroot}%{_libexecdir}/os-probes/mounted/91bsd

if [ "$ARCH" = x86 ]; then
        install -m 755 -p os-probes/mounted/powerpc/20macosx \
            %{buildroot}%{_libexecdir}/os-probes/mounted
fi

find %{buildroot}/usr/lib/ -name "*.00??" -delete

%files
%doc README TODO debian/copyright debian/changelog COPYING-note.txt
%{_bindir}/*
%{_libexecdir}/linux-boot-probes
%{_libexecdir}/newns
%{_libexecdir}/os-probes
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Sun May 01 2016 barjac <barjac> 1.65-9.6.mga5
+ Revision: 1008487
- really change mode on 91bsd
- add 60ufs-test
- delete more patch backups that were being missed
- fix mode for added files in SOURCES
- make 91bsd executable
- Add bsd detection script - Mga#18271
- (Grub2 Installer does not recognize my OpenBSD installation)
- fix for Mga#18115
- grub2 os-prober detects other Mageia installations with release of installed system
- by editing typo in os-prober-1.65-mga-btrfs-50mounted_90linux-distro.patch
- patch to fix Mga#16803 (use full path for blkid)

* Sat May 09 2015 barjac <barjac> 1.65-9.mga5
+ Revision: 821545
- s/grub-/grub2-/ in various places
- see Mga#15857 comment #18

* Wed Apr 08 2015 tv <tv> 1.65-8.mga5
+ Revision: 819883
- fix dmesg spamming due to checking extended partitions (mga#9832)

  + barjac <barjac>
    - remove patch backups

* Mon Apr 06 2015 barjac <barjac> 1.65-6.mga5
+ Revision: 819739
+ rebuild (emptylog)

* Mon Apr 06 2015 barjac <barjac> 1.65-5.mga5
+ Revision: 819735
- fixed missing os in menu (SuSE on btrfs) Mga#15209
- fixed over-long menu item for Mageia on btrfs

* Tue Mar 31 2015 ennael <ennael> 1.65-4.mga5
+ Revision: 819448
- bump release to go to core/release

* Wed Mar 25 2015 barjac <barjac> 1.65-3.mga5
+ Revision: 819245
- Improved patch for btrfs
- fixes Mga#15564 - (duplicate entries in boot menu for btrfs systems)

* Wed Mar 18 2015 tmb <tmb> 1.65-2.mga5
+ Revision: 818852
+ rebuild (emptylog)

* Wed Mar 18 2015 barjac <barjac> 1.65-1.mga5
+ Revision: 818762
- update to version 1.65
- sync patches with Fedora

* Sun Nov 16 2014 barjac <barjac> 1.64-7.mga5
+ Revision: 797378
- tidy btrfs detection patch, white space and debug message

* Tue Nov 11 2014 barjac <barjac> 1.64-6.mga5
+ Revision: 796516
- remove stray mount command left from debugging

* Tue Nov 11 2014 barjac <barjac> 1.64-5.mga5
+ Revision: 796512
- patch to fix detection of btrfs installations mga#14467

* Thu Nov 06 2014 barjac <barjac> 1.64-4.mga5
+ Revision: 795950
- requires btrfs-progs mga#14467

* Wed Oct 15 2014 umeabot <umeabot> 1.64-3.mga5
+ Revision: 742257
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.64-2.mga5
+ Revision: 683275
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 barjac <barjac> 1.64-1.mga5
+ Revision: 674303
- new version 1.64

* Sat Oct 19 2013 umeabot <umeabot> 1.63-2.mga4
+ Revision: 532860
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 barjac <barjac> 1.63-1.mga4
+ Revision: 469896
- new version 1.63

* Mon Jun 03 2013 barjac <barjac> 1.61-1.mga4
+ Revision: 436294
- new version 1.61

* Fri May 03 2013 barjac <barjac> 1.57-6.mga3
+ Revision: 412154
- added 3 recent fedora patches

* Tue Feb 19 2013 barjac <barjac> 1.57-5.mga3
+ Revision: 399268
- use upstream tarball instead of git
- remove script for tarball creation
- Add Fedora patch to fix mdraid
- Add Fedora patch for yaboot parse issue
- Add Fedora patch for usrmove
- Add Fedora remove-basename patch
- Add Fedora disable-debug-test patch
- Add Fedora btrfs fix patch
- use %%apply_patches

* Sat Feb 16 2013 barjac <barjac> 1.57-4.mga3
+ Revision: 398641
- patch - add Mageia to 90linux-distro

* Sun Jan 20 2013 barjac <barjac> 1.57-3.mga3
+ Revision: 390294
- update group

* Sun Jan 13 2013 umeabot <umeabot> 1.57-2.mga3
+ Revision: 362212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 1.57-1.mga3
+ Revision: 341370
- new version 1.57

* Fri Dec 07 2012 tv <tv> 1.56-3.mga3
+ Revision: 327818
- kill gratuitous requires, no need to bloat every install with lvm2 & dmraid
  which are pulled automatically by installer if needed

* Sun Sep 30 2012 barjac <barjac> 1.56-2.mga3
+ Revision: 300617
- Changed group in line with new policy

* Mon Sep 17 2012 barjac <barjac> 1.56-1.mga3
+ Revision: 295625
- New version 1.56

* Sun Jul 08 2012 barjac <barjac> 1.54-1.mga3
+ Revision: 268796
- new version 1.54

* Mon May 28 2012 barjac <barjac> 1.53-1.mga3
+ Revision: 247638
- imported package os-prober


* Sun Apr 28 2012 barjac <zen 25000[at]zen.co.uk> 1.52-1.mga2
- imported os-prober - spec stolen from SUSE with thanks and adapted for Mageia